API · Create individual enrollment URL

API v1
POST /api/v1/collect/set/urlaffiliate

What it does#

Create individual enrollment URL.

Authentication#

Host: https://app.tilopay.com. Requires the API bearer token in Authorization: Bearer <token> and the integration key in the body (key).

Get the API token.

Parameters#

keystringrequired#

Integration key.

namestring#

Link name.

currencystring#

ISO 4217 currency.

base_amountstring#

Base amount.

amount_max_dailystring#

Daily maximum amount.

amount_max_monthstring#

Monthly maximum amount.

Request example#

<api_key> is the placeholder for your integration key.

{
  "key": "<api_key>",
  "name": "Name link",
  "currency": "USD",
  "base_amount": "5.00",
  "amount_max_daily": "10.00",
  "amount_max_month": "100.00"
}

Response#

link is the URL where the customer registers their card.

typeunknown#

type.

errorsunknown#

errors.

{
  "type": "200",
  "errors": "",
  "link": "https://app.tilopay.com/link/TWc9PXw0"
}
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string"
    },
    "errors": {
      "type": "string"
    },
    "link": {
      "type": "string"
    }
  }
}

Last verified: 2026-10-20

View as raw Markdown